Home

# Class goog.graphics.CanvasEllipseElement

Thin wrapper for canvas ellipse elements. This is an implementation of the goog.graphics.EllipseElement interface. You should not construct objects from this constructor. The graphics will return the object for you.

extends goog.graphics.EllipseElement

Instance Method Summary
| `draw(?CanvasRenderingContext2D ctx)` Draw the ellipse. Should be treated as package scope.
| `setCenter(number cx, number cy)` Update the center point of the ellipse.
| `setRadius(number rx, number ry)` Update the radius of the ellipse.
| `setUpPath_()` Sets up the path.